if [ ! -f $BINARY ]; then
	echo "$BINARY doesn't exist."
 	echo "Maybe you ran this script from unapproperiate directory."
    echo "It should be run from main directory of the product."
	
    exit -1
fi

if [ $UID == 0 ]; then
	echo "Installing globally - for all users"
	GLOBAL="true"
fi


# The link to binary should be made in directory from this list
# it will be tried using THIS order
BIN_DIRS="/usr/local/bin /usr/bin /bin $HOME/bin"

if [ "$GLOBAL" == "true" ]; then
	BIN_DIRS="$HOME/bin /usr/local/bin"
fi


# build the desired link names and locations 
APPDIR=`pwd -P`
LINKNAME=$APPDIR/$BINARY

pushd . > /dev/null

# test if application is already installed on some of specified directories
for bindir in $BIN_DIRS
do
	if [ ! -e $bindir ]; then
 		continue
 	fi 
	cd $bindir
	
	if [ -h $BINARY ]; then
 		if [ "`readlink $BINARY`" == "$LINKNAME" ]; then
   			echo "The application was already installed."
      		echo "Reinstalling..."
      		APP_PUT=false
        	break
   		fi
 	fi 
done

if [ "$APP_PUT" != "true" ]; then
	# now actually makes the link - tryins directories in the same order 
	for bindir in $BIN_DIRS
	do
		if [ ! -e $bindir ]; then
 			continue
 		fi 
		cd $bindir
    	
    	if [ -h $BINARY ]; then
     		# such a link exist, but is not valid
       		rm $BINARY
     	fi
        
        ln -s $LINKNAME $BINARY
        
        if [ "$?" == "0" ]; then
        	break;
        fi
    done
fi

popd > /dev/null

# make a statement and suggest it runs the plugin installation script
ANSWER="yes"
# if [ "$1" != "-q" ]; then
#	echo "You can use 'plugin_install.sh' to install LiveMath Netscape Plugin."
#	echo "Do you want me to run it for you now ?"
#
#	read ANSWER
#fi

if [ "$ANSWER" == "yes" ] || [ "$ANSWER" == "y" ]; then
	./plugin_install.sh $1
fi

if [ "$BINARY" == "livemath" ]; then
	# suggest running a KDE setup installer now
	ANSWER="yes"
	if [ "$1" != "-q" ]; then
		echo "You can use 'kdesetup/install.sh' to setup LiveMath Maker for better use with KDE"
		echo "Do you want me to run it for you now ?"

		read ANSWER
  	fi

	if [ "$ANSWER" == "yes" ] || [ "$ANSWER" == "y" ]; then
 		cd kdesetup
		./install.sh
  		cd ..
	fi
fi

# now if listing fiel exist that means - international version. Suggest to run setlang.sh
if [ -e langs/listing ] && [ "$1" != "-q" ]; then
	echo "You can use 'setlang' to setup your language."
	echo "Do you want me to run it for you now ?"
	read ANSWER
   
    if [ "$ANSWER" == "yes" ] || [ "$ANSWER" == "y" ]; then
    	./setlang
    fi
fi

echo "Installation complete."
