#!/bin/bash

binroot=$1
srcroot=$2
dstdir=$3

# first prepare the directories
pushd $dstdir > /dev/null
dstdir=`pwd -P`

mkdir -p usr/lib/livemath-viewer
mkdir -p usr/share/applications
mkdir -p usr/share/pixmaps
mkdir -p usr/share/mimelnk
mkdir -p usr/share/livemath/starters

# now some fonts stuff...
mkdir -p usr/share/fonts/X11/Type1
mkdir -p etc/X11/fonts/Type1

popd > /dev/null

# now copy binary files for viewer
pushd $binroot/TVS > /dev/null

cp lmviewer $dstdir/usr/lib/livemath-viewer
cp -r langs $dstdir/usr/lib/livemath-viewer
cp *.the $dstdir/usr/lib/livemath-viewer
# cp -P curlang.uid $dstdir/usr/lib/livemath-viewer

popd > /dev/null

# now copy binary files for the plugin
cp $binroot/THS/nplivemath.so $dstdir/usr/lib/livemath-viewer

# and now the extra files from BuildUx concerning the GUI (.desktop, etc.)
pushd $srcroot/BuildUx/shared-content > /dev/null
cp livemath-viewer.desktop $dstdir/usr/share/applications
cp livemath-viewer.png $dstdir/usr/share/pixmaps
cp x-theorist.desktop $dstdir/usr/share/mimelnk
cp livemath-notebook.png $dstdir/usr/share/pixmaps
popd > /dev/null

# now copy the startes notebooks to include in standard package
cp -r $srcroot/StartersMin/* $dstdir/usr/share/livemath/starters/
cp -r $srcroot/BuildSrcs/CrashPage $dstdir/usr/share/livemath/

# copy fonts
cp -r $srcroot/BuildUx/fonts/n* $dstdir/usr/share/fonts/X11/Type1/
cp -r $srcroot/BuildUx/fonts/lm-fonts* $dstdir/etc/X11/fonts/Type1/

# and now remove all CVS occurences
find $dstdir -type d -name CVS -exec rm -rf "{}" \; > /dev/null 2>/dev/null
find $dstdir -type d -name CVS.sandboxinfo -exec rm -rf "{}" \; > /dev/null 2>/dev/null

# make them readable from everybody
pushd $dstdir > /dev/null
chmod -R o+r *
chmod -R g+r *
chown -R root.root *
popd > /dev/null

# ready!

