#!/bin/bash

# this installs LiveMath Maker's KDE mime file and 
# associated files for the KDE desktop, aka KFM. 

# grab the directory that livemath application should be in.
pushd .. > /dev/null
APPDIR=`pwd -P`
apppath="${APPDIR}/livemath"
if [ ! -x $apppath ]; then
    echo "You should execute this script from a direct subdirectory "
    echo "of the one that has the LiveMath executable binary in it."
    echo "It must be named 'livemath', as installed."
    exit 1
fi
popd > /dev/null

APPFILE=""
MIMEFILE=""
KDELOC=""

if [ ${UID} = 0 ]; then
	KDELOC=/usr
	echo "Installing globally..."
else
	KDELOC=~/.kde
	echo "Installing locally..."
fi

APPFILE=$KDELOC/share/applnk/Applications/livemath.desktop
    
mkdir --parents $KDELOC/share/mimelnk/application/
mkdir --parents $KDELOC/share/applnk/Applications
MIMEFILE=$KDELOC/share/mimelnk/application/x-theorist.desktop

cp -f x-theorist.desktop $MIMEFILE
echo "DefaultApp=$apppath" >> $MIMEFILE
echo "Icon=$KDELOC/share/icons/livemathNotebook.png" >> $MIMEFILE

cp -f livemath.desktop $APPFILE
echo "Path=$APPDIR" >> $APPFILE
echo "Exec=$apppath" >> $APPFILE
echo "Icon=$KDELOC/share/icons/livemathMaker.png" >> $APPFILE

mkdir --parents $KDELOC/share/icons
cp -f livemathMaker.png $KDELOC/share/icons/
cp -f livemathNotebook.png $KDELOC/share/icons/

# install the netscape helper application assignment
# mimefile=~/.mime.types
# mailcapfile=~/.mailcap

# add to .mime.types file
# if [ ! -x $mimefile ]; then
  # add file banner if file does not exist
  # echo "#--Netscape Communications Corporation MIME Information" > $mimefile
  # echo "#Do not delete the above line. It is used to identify the file type." >> $mimefile
  # echo "#" >> $mimefile
# fi
# cat netscape.lnk >> $mimefile

# add to .mailcap file
# echo "#mailcap entry added by Netscape Helper" >> $mailcapfile
# echo "application/x-theorist;$apppath" >> $mailcapfile

# echo "done."
# echo
echo "You will probably have to log out and in for everything to take effect."
