#!/bin/bash

binroot=`pwd -P`
echo "Thank you for using our product!"
echo "This script makes some nice things for you and is supposed to be run from product's directory, which is '$binroot'"

# first modify the .desktop files a bit to reflect the non-PATH location of the executable
sed -i -r "s|Exec=(.*)|Exec=${binroot}/\1|" share/applications/*.desktop

# now copy all these where they should stay in local-user case.
cp -r share/* ~/.local/share > /dev/null

#and finish with attempt to link to plugin
if [ -e nplivemath.so ]; then
	mkdir -p ~/.mozilla/plugins > /dev/null 2>/dev/null
	ln -sf $binroot/nplivemath.so ~/.mozilla/plugins/ > /dev/null 2>/dev/null
	echo "export LMVIEWER=$binroot/lmviewer" >> ~/.profile	
	export LMVIEWER=$binroot/lmviewer
fi

lang_id=`sed -rn "s/(.+) = ${LANG:0:5}.*/\1/p" langs/listing`
if [ -z $lang_id ]; then
	lang_id=`sed -rn "s/(.+) = ${LANG:0:3}\*.*/\1/p" langs/listing`
fi

if [ -z $lang_id ]; then
	lang_id="en"
fi

ln -sf langs/${lang_id}.uid curlang.uid

echo "Installed. You need to re-login in order to make the plugin work."
